// source: v1/message/message.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var v1_message_common_dtos_pb = require('../../v1/message_common/dtos_pb.js');
goog.object.extend(proto, v1_message_common_dtos_pb);
var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js');
goog.object.extend(proto, google_protobuf_timestamp_pb);
goog.exportSymbol('proto.fcp.message.v1.Message', null, global);
goog.exportSymbol('proto.fcp.message.v1.Message.MessageBodyCase', null, global);
goog.exportSymbol('proto.fcp.message.v1.MessageItem', null, global);
goog.exportSymbol('proto.fcp.message.v1.MessageType', null, global);
goog.exportSymbol('proto.fcp.message.v1.StreamMessages', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.message.v1.Message = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, proto.fcp.message.v1.Message.oneofGroups_);
};
goog.inherits(proto.fcp.message.v1.Message, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.message.v1.Message.displayName = 'proto.fcp.message.v1.Message';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.message.v1.MessageItem = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.message.v1.MessageItem, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.message.v1.MessageItem.displayName = 'proto.fcp.message.v1.MessageItem';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.message.v1.StreamMessages = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.message.v1.StreamMessages.repeatedFields_, null);
};
goog.inherits(proto.fcp.message.v1.StreamMessages, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.message.v1.StreamMessages.displayName = 'proto.fcp.message.v1.StreamMessages';
}

/**
 * Oneof group definitions for this message. Each group defines the field
 * numbers belonging to that group. When of these fields' value is set, all
 * other fields in the group are cleared. During deserialization, if multiple
 * fields are encountered for a group, only the last value seen will be kept.
 * @private {!Array<!Array<number>>}
 * @const
 */
proto.fcp.message.v1.Message.oneofGroups_ = [[11,12,13]];

/**
 * @enum {number}
 */
proto.fcp.message.v1.Message.MessageBodyCase = {
  MESSAGE_BODY_NOT_SET: 0,
  MESSAGE_CHAT: 11,
  GROUP_CHAT: 12,
  USER_STATUS: 13
};

/**
 * @return {proto.fcp.message.v1.Message.MessageBodyCase}
 */
proto.fcp.message.v1.Message.prototype.getMessageBodyCase = function() {
  return /** @type {proto.fcp.message.v1.Message.MessageBodyCase} */(jspb.Message.computeOneofCase(this, proto.fcp.message.v1.Message.oneofGroups_[0]));
};



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.message.v1.Message.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.message.v1.Message.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.message.v1.Message} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message.v1.Message.toObject = function(includeInstance, msg) {
  var f, obj = {
    from: jspb.Message.getFieldWithDefault(msg, 1, ""),
    to: jspb.Message.getFieldWithDefault(msg, 2, ""),
    messageType: jspb.Message.getFieldWithDefault(msg, 3, 0),
    sendAt: (f = msg.getSendAt()) && google_protobuf_timestamp_pb.Timestamp.toObject(includeInstance, f),
    messageChat: (f = msg.getMessageChat()) && v1_message_common_dtos_pb.ChatMessage.toObject(includeInstance, f),
    groupChat: (f = msg.getGroupChat()) && v1_message_common_dtos_pb.GroupsChange.toObject(includeInstance, f),
    userStatus: (f = msg.getUserStatus()) && v1_message_common_dtos_pb.UserStatus.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.message.v1.Message}
 */
proto.fcp.message.v1.Message.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.message.v1.Message;
  return proto.fcp.message.v1.Message.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.message.v1.Message} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.message.v1.Message}
 */
proto.fcp.message.v1.Message.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {string} */ (reader.readString());
      msg.setFrom(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setTo(value);
      break;
    case 3:
      var value = /** @type {!proto.fcp.message.v1.MessageType} */ (reader.readEnum());
      msg.setMessageType(value);
      break;
    case 4:
      var value = new google_protobuf_timestamp_pb.Timestamp;
      reader.readMessage(value,google_protobuf_timestamp_pb.Timestamp.deserializeBinaryFromReader);
      msg.setSendAt(value);
      break;
    case 11:
      var value = new v1_message_common_dtos_pb.ChatMessage;
      reader.readMessage(value,v1_message_common_dtos_pb.ChatMessage.deserializeBinaryFromReader);
      msg.setMessageChat(value);
      break;
    case 12:
      var value = new v1_message_common_dtos_pb.GroupsChange;
      reader.readMessage(value,v1_message_common_dtos_pb.GroupsChange.deserializeBinaryFromReader);
      msg.setGroupChat(value);
      break;
    case 13:
      var value = new v1_message_common_dtos_pb.UserStatus;
      reader.readMessage(value,v1_message_common_dtos_pb.UserStatus.deserializeBinaryFromReader);
      msg.setUserStatus(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.message.v1.Message.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.message.v1.Message.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.message.v1.Message} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message.v1.Message.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFrom();
  if (f.length > 0) {
    writer.writeString(
      1,
      f
    );
  }
  f = message.getTo();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getMessageType();
  if (f !== 0.0) {
    writer.writeEnum(
      3,
      f
    );
  }
  f = message.getSendAt();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      google_protobuf_timestamp_pb.Timestamp.serializeBinaryToWriter
    );
  }
  f = message.getMessageChat();
  if (f != null) {
    writer.writeMessage(
      11,
      f,
      v1_message_common_dtos_pb.ChatMessage.serializeBinaryToWriter
    );
  }
  f = message.getGroupChat();
  if (f != null) {
    writer.writeMessage(
      12,
      f,
      v1_message_common_dtos_pb.GroupsChange.serializeBinaryToWriter
    );
  }
  f = message.getUserStatus();
  if (f != null) {
    writer.writeMessage(
      13,
      f,
      v1_message_common_dtos_pb.UserStatus.serializeBinaryToWriter
    );
  }
};


/**
 * optional string from = 1;
 * @return {string}
 */
proto.fcp.message.v1.Message.prototype.getFrom = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 1, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.message.v1.Message} returns this
 */
proto.fcp.message.v1.Message.prototype.setFrom = function(value) {
  return jspb.Message.setProto3StringField(this, 1, value);
};


/**
 * optional string to = 2;
 * @return {string}
 */
proto.fcp.message.v1.Message.prototype.getTo = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.message.v1.Message} returns this
 */
proto.fcp.message.v1.Message.prototype.setTo = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * optional MessageType message_type = 3;
 * @return {!proto.fcp.message.v1.MessageType}
 */
proto.fcp.message.v1.Message.prototype.getMessageType = function() {
  return /** @type {!proto.fcp.message.v1.MessageType} */ (jspb.Message.getFieldWithDefault(this, 3, 0));
};


/**
 * @param {!proto.fcp.message.v1.MessageType} value
 * @return {!proto.fcp.message.v1.Message} returns this
 */
proto.fcp.message.v1.Message.prototype.setMessageType = function(value) {
  return jspb.Message.setProto3EnumField(this, 3, value);
};


/**
 * optional google.protobuf.Timestamp send_at = 4;
 * @return {?proto.google.protobuf.Timestamp}
 */
proto.fcp.message.v1.Message.prototype.getSendAt = function() {
  return /** @type{?proto.google.protobuf.Timestamp} */ (
    jspb.Message.getWrapperField(this, google_protobuf_timestamp_pb.Timestamp, 4));
};


/**
 * @param {?proto.google.protobuf.Timestamp|undefined} value
 * @return {!proto.fcp.message.v1.Message} returns this
*/
proto.fcp.message.v1.Message.prototype.setSendAt = function(value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.message.v1.Message} returns this
 */
proto.fcp.message.v1.Message.prototype.clearSendAt = function() {
  return this.setSendAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.message.v1.Message.prototype.hasSendAt = function() {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional ChatMessage message_chat = 11;
 * @return {?proto.fcp.message.v1.ChatMessage}
 */
proto.fcp.message.v1.Message.prototype.getMessageChat = function() {
  return /** @type{?proto.fcp.message.v1.ChatMessage} */ (
    jspb.Message.getWrapperField(this, v1_message_common_dtos_pb.ChatMessage, 11));
};


/**
 * @param {?proto.fcp.message.v1.ChatMessage|undefined} value
 * @return {!proto.fcp.message.v1.Message} returns this
*/
proto.fcp.message.v1.Message.prototype.setMessageChat = function(value) {
  return jspb.Message.setOneofWrapperField(this, 11, proto.fcp.message.v1.Message.oneofGroups_[0], value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.message.v1.Message} returns this
 */
proto.fcp.message.v1.Message.prototype.clearMessageChat = function() {
  return this.setMessageChat(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.message.v1.Message.prototype.hasMessageChat = function() {
  return jspb.Message.getField(this, 11) != null;
};


/**
 * optional GroupsChange group_chat = 12;
 * @return {?proto.fcp.message.v1.GroupsChange}
 */
proto.fcp.message.v1.Message.prototype.getGroupChat = function() {
  return /** @type{?proto.fcp.message.v1.GroupsChange} */ (
    jspb.Message.getWrapperField(this, v1_message_common_dtos_pb.GroupsChange, 12));
};


/**
 * @param {?proto.fcp.message.v1.GroupsChange|undefined} value
 * @return {!proto.fcp.message.v1.Message} returns this
*/
proto.fcp.message.v1.Message.prototype.setGroupChat = function(value) {
  return jspb.Message.setOneofWrapperField(this, 12, proto.fcp.message.v1.Message.oneofGroups_[0], value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.message.v1.Message} returns this
 */
proto.fcp.message.v1.Message.prototype.clearGroupChat = function() {
  return this.setGroupChat(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.message.v1.Message.prototype.hasGroupChat = function() {
  return jspb.Message.getField(this, 12) != null;
};


/**
 * optional UserStatus user_status = 13;
 * @return {?proto.fcp.message.v1.UserStatus}
 */
proto.fcp.message.v1.Message.prototype.getUserStatus = function() {
  return /** @type{?proto.fcp.message.v1.UserStatus} */ (
    jspb.Message.getWrapperField(this, v1_message_common_dtos_pb.UserStatus, 13));
};


/**
 * @param {?proto.fcp.message.v1.UserStatus|undefined} value
 * @return {!proto.fcp.message.v1.Message} returns this
*/
proto.fcp.message.v1.Message.prototype.setUserStatus = function(value) {
  return jspb.Message.setOneofWrapperField(this, 13, proto.fcp.message.v1.Message.oneofGroups_[0], value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.message.v1.Message} returns this
 */
proto.fcp.message.v1.Message.prototype.clearUserStatus = function() {
  return this.setUserStatus(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.message.v1.Message.prototype.hasUserStatus = function() {
  return jspb.Message.getField(this, 13) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.message.v1.MessageItem.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.message.v1.MessageItem.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.message.v1.MessageItem} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message.v1.MessageItem.toObject = function(includeInstance, msg) {
  var f, obj = {
    messageType: jspb.Message.getFieldWithDefault(msg, 1, 0),
    messageBody: jspb.Message.getFieldWithDefault(msg, 2, "")
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.message.v1.MessageItem}
 */
proto.fcp.message.v1.MessageItem.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.message.v1.MessageItem;
  return proto.fcp.message.v1.MessageItem.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.message.v1.MessageItem} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.message.v1.MessageItem}
 */
proto.fcp.message.v1.MessageItem.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {!proto.fcp.message.v1.MessageType} */ (reader.readEnum());
      msg.setMessageType(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setMessageBody(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.message.v1.MessageItem.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.message.v1.MessageItem.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.message.v1.MessageItem} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message.v1.MessageItem.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getMessageType();
  if (f !== 0.0) {
    writer.writeEnum(
      1,
      f
    );
  }
  f = message.getMessageBody();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
};


/**
 * optional MessageType message_type = 1;
 * @return {!proto.fcp.message.v1.MessageType}
 */
proto.fcp.message.v1.MessageItem.prototype.getMessageType = function() {
  return /** @type {!proto.fcp.message.v1.MessageType} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {!proto.fcp.message.v1.MessageType} value
 * @return {!proto.fcp.message.v1.MessageItem} returns this
 */
proto.fcp.message.v1.MessageItem.prototype.setMessageType = function(value) {
  return jspb.Message.setProto3EnumField(this, 1, value);
};


/**
 * optional string message_body = 2;
 * @return {string}
 */
proto.fcp.message.v1.MessageItem.prototype.getMessageBody = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.message.v1.MessageItem} returns this
 */
proto.fcp.message.v1.MessageItem.prototype.setMessageBody = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.message.v1.StreamMessages.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.message.v1.StreamMessages.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.message.v1.StreamMessages.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.message.v1.StreamMessages} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message.v1.StreamMessages.toObject = function(includeInstance, msg) {
  var f, obj = {
    messageList: jspb.Message.toObjectList(msg.getMessageList(),
    proto.fcp.message.v1.MessageItem.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.message.v1.StreamMessages}
 */
proto.fcp.message.v1.StreamMessages.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.message.v1.StreamMessages;
  return proto.fcp.message.v1.StreamMessages.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.message.v1.StreamMessages} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.message.v1.StreamMessages}
 */
proto.fcp.message.v1.StreamMessages.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.message.v1.MessageItem;
      reader.readMessage(value,proto.fcp.message.v1.MessageItem.deserializeBinaryFromReader);
      msg.addMessage(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.message.v1.StreamMessages.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.message.v1.StreamMessages.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.message.v1.StreamMessages} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message.v1.StreamMessages.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getMessageList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.fcp.message.v1.MessageItem.serializeBinaryToWriter
    );
  }
};


/**
 * repeated MessageItem message = 1;
 * @return {!Array<!proto.fcp.message.v1.MessageItem>}
 */
proto.fcp.message.v1.StreamMessages.prototype.getMessageList = function() {
  return /** @type{!Array<!proto.fcp.message.v1.MessageItem>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.fcp.message.v1.MessageItem, 1));
};


/**
 * @param {!Array<!proto.fcp.message.v1.MessageItem>} value
 * @return {!proto.fcp.message.v1.StreamMessages} returns this
*/
proto.fcp.message.v1.StreamMessages.prototype.setMessageList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.message.v1.MessageItem=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.message.v1.MessageItem}
 */
proto.fcp.message.v1.StreamMessages.prototype.addMessage = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.message.v1.MessageItem, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.message.v1.StreamMessages} returns this
 */
proto.fcp.message.v1.StreamMessages.prototype.clearMessageList = function() {
  return this.setMessageList([]);
};


/**
 * @enum {number}
 */
proto.fcp.message.v1.MessageType = {
  MESSAGETYPE_NONE: 0,
  MESSAGETYPE_CHATSEND: 1,
  MESSAGETYPE_CHATEDIT: 2,
  MESSAGETYPE_CHATDELETE: 3,
  MESSAGETYPE_CHATGROUPCREATE: 4,
  MESSAGETYPE_CHATGROUPDELETE: 5,
  MESSAGETYPE_CHATGROUPUPDATE: 6,
  MESSAGETYPE_CHATADDUSERGROUP: 7,
  MESSAGETYPE_CHATDELETEUSERGROUP: 8,
  MESSAGETYPE_USERCHANGESTATUS: 9
};

goog.object.extend(exports, proto.fcp.message.v1);
